--- old/usr/src/cmd/make/bin/main.cc	2015-05-20 12:27:12.613585918 -0400
+++ new/usr/src/cmd/make/bin/main.cc	2015-05-20 12:27:12.626265168 -0400
@@ -1500,7 +1500,7 @@
 	case 'v':			/* Version flag */
 		if (invert_this) {
 		} else {
-			fprintf(stdout, "dmake: %s\n", verstring);
+			fprintf(stdout, "%s: %s\n", getprogname(), verstring);
 			exit_status = 0;
 			exit(0);
 		}
@@ -3187,23 +3187,27 @@
 	if(report_cwd) {
 		if(make_level_val <= 0) {
 			if(entering) {
-				sprintf( rcwd
-				       , gettext("dmake: Entering directory `%s'\n")
-				       , get_current_path());
+				sprintf(rcwd,
+				    gettext("%s: Entering directory `%s'\n"),
+				    getprogname(),
+				    get_current_path());
 			} else {
-				sprintf( rcwd
-				       , gettext("dmake: Leaving directory `%s'\n")
-				       , get_current_path());
+				sprintf(rcwd,
+				    gettext("%s: Leaving directory `%s'\n"),
+				    getprogname(),
+				    get_current_path());
 			}
 		} else {
 			if(entering) {
-				sprintf( rcwd
-				       , gettext("dmake[%d]: Entering directory `%s'\n")
-				       , make_level_val, get_current_path());
+				sprintf(rcwd,
+				    gettext("%s[%d]: Entering directory `%s'\n"),
+				    getprogname(),
+				    make_level_val, get_current_path());
 			} else {
-				sprintf( rcwd
-				       , gettext("dmake[%d]: Leaving directory `%s'\n")
-				       , make_level_val, get_current_path());
+				sprintf(rcwd,
+				    gettext("%s[%d]: Leaving directory `%s'\n"),
+				    getprogname(),
+				    make_level_val, get_current_path());
 			}
 		}
 		printf("%s", rcwd);
